<?php

/**
 * @package         Google Structured Data
 * @version         6.0.1-RC1 Free
 *
 * @author          Tassos Marinos <info@tassos.gr>
 * @link            http://www.tassos.gr
 * @copyright       Copyright © 2025 Tassos Marinos All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 */

namespace GSD\Schemas\Schemas;

// No direct access
defined('_JEXEC') or die;

use GSD\Helper;

class Organization extends \GSD\Schemas\Base
{
    /**
     * Return all the schema properties
     *
     * @return void
     */
    protected function initProps()
    {
        $props = [
            'logo' => Helper::cleanImage(Helper::absURL($this->data->get('logo', '')))
        ];

        $this->data->loadArray($props);

        parent::initProps();
    }
}